LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSynchronousDispatch Interface Referencepublished

additional interfaces for dispatch objects: allow to execute with return value More...

`import"XSynchronousDispatch.idl";`

Inheritance diagram for XSynchronousDispatch:

## Public Member Functions
any | dispatchWithReturnValue ([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| dispatches a URL synchronously and offers a return values More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

additional interfaces for dispatch objects: allow to execute with return value

Since
  OOo 2.0

See also
  XDispatch

## Member Function Documentation

## ◆ dispatchWithReturnValue()

any dispatchWithReturnValue | ( | [in] com::sun::star::util::URL | URL,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | Arguments
| ) |  |

dispatches a URL synchronously and offers a return values

After getting a dispatch object as a result of a queryDispatch call, this interface can be used to dispatch the URL synchronously and with a return value.

Parameters

  URL | full parsed URL which describe the feature which should be dispatched (executed)
  Arguments | optional arguments for this request They depend on the real implementation of the dispatch object.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XSynchronousDispatch.idl